Bug 223311 - benchmarks/netperfmeter: Update to 1.7.6
Summary: benchmarks/netperfmeter: Update to 1.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias Kortkamp
URL: https://www.uni-due.de/~be0001/netper...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-29 19:49 UTC by dreibh
Modified: 2018-03-11 14:58 UTC (History)
2 users (show)

See Also:


Attachments
The diff to update the netperfmeter port (2.13 KB, patch)
2017-10-29 19:49 UTC, dreibh
no flags Details | Diff
The updated diff file (2.46 KB, patch)
2017-10-30 20:27 UTC, dreibh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dreibh 2017-10-29 19:49:10 UTC
Created attachment 187569 [details]
The diff to update the netperfmeter port

The latest upstream version of net/rsplib is 1.7.6; the port needs an update.

Fix: The updated diff file is attached.
Comment 1 Tobias C. Berner freebsd_committer 2017-10-29 21:09:05 UTC
Hi there

1) You can drop the check for FreeBSD 7 -- the FreeBSD ports do not support these outdated versions any ways.

2) The header of the Makefile looks rather non-standard :) 

3) You can run portlint [ports-mgmt/portlint], which will give you various hints on how to make your Makefile conform to the standards of the tree somewhat more :)


mfg Tobias
Comment 2 dreibh 2017-10-30 20:27:43 UTC
Created attachment 187591 [details]
The updated diff file

The problems should be fixed in the updated diff.
Comment 3 Tobias C. Berner freebsd_committer 2017-10-31 05:33:23 UTC
That already looks great \o/.

Can you double check and try to correct the man-installation path? :)
Comment 4 Tobias C. Berner freebsd_committer 2017-10-31 18:23:16 UTC
You can probably also get rid of GNU_CONFIGURE, and use cmake:outsource :) -- to get the proper man paths you can do something like 
-SET(CMAKE_INSTALL_MANDIR "share/man"
+SET(CMAKE_INSTALL_MANDIR "man"
in the CMakeLists.txt

mfg Tobias
Comment 5 commit-hook freebsd_committer 2018-03-11 14:11:01 UTC
A commit references this bug:

Author: tobik
Date: Sun Mar 11 14:10:01 UTC 2018
New revision: 464174
URL: https://svnweb.freebsd.org/changeset/ports/464174

Log:
  benchmarks/netperfmeter: Update to 1.7.6

  PR:		223311
  Submitted by:	dreibh@iem.uni-due.de (maintainer)
  Reviewed by:	tcberner

Changes:
  head/benchmarks/netperfmeter/Makefile
  head/benchmarks/netperfmeter/distinfo
  head/benchmarks/netperfmeter/pkg-descr
  head/benchmarks/netperfmeter/pkg-plist
Comment 6 Tobias Kortkamp freebsd_committer 2018-03-11 14:13:41 UTC
Committed with some changes. Thanks!

It might be a good idea to teach the upstream project about CMake's
GNUInstallDirs and CMAKE_INSTALL_MANDIR [1] to install the man pages
into the right directory.

[1] https://cmake.org/cmake/help/v3.11/module/GNUInstallDirs.html